%define oname swiginac

Name: python-module-%oname
Version: 1.5.1
Release: alt1
Summary: Extending Python with Symbolic Mathematics
Group: Development/Python
License: GPL
URL: http://swiginac.berlios.de/
Source: http://download.berlios.de/swiginac/swiginac-1.5.1.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires(pre): rpm-build-python
BuildPreReq: libginac-devel swig gcc-c++ ginac python-module-Numeric
BuildPreReq: python-module-Numeric-devel python-module-numpy
BuildPreReq: python-devel = %__python_version
%setup_python_module %oname

%description
Swiginac is a Python interface to GiNaC, built with SWIG. The aim of swiginac is
to make all the functionality of GiNaC accessible from Python as an extension
module.

Features:

*    Symbols and expressions with arithmetic operations
*    Multivariate polynomials and rational functions
*    Matrices and vectors
*    Linear systems solver
*    Tayler series expansions
*    Differentiation and integration
*    Output C, Python and LaTeX code

%package -n %oname-docs
Summary: Documentation for Swiginac
Group: Development/Documentation
BuildArch: noarch

%description -n %oname-docs
Swiginac is a Python interface to GiNaC, built with SWIG. The aim of swiginac is
to make all the functionality of GiNaC accessible from Python as an extension
module.

This package contains development documentation for Swiginac.

%prep
%setup

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py install \
	--root=%buildroot --optimize=2

install -d %buildroot%_docdir/%oname
cp -fR doc/* %buildroot%_docdir/%oname/

%files
%python_sitelibdir/*

%files -n %oname-docs
%_docdir/*

%changelog
* Mon May 04 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.1-alt1
- Initial build for Sisyphus
